View Issue Details

IDProjectCategoryView StatusLast Update
0036024LazarusWidgetsetpublic2019-11-02 22:27
ReporterMIS5Assigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformCocoaOSMacOS Version10.14.4
Product VersionProduct Build61470M 
Target VersionFixed in Version 
Summary0036024: TSaveDialog.OnTypeChange not working/firing
DescriptionOnTypeChange simply does not fire. I do not think it has been implemented in the Cocoa widgetset.
Steps To Reproduce
FMySaveDialog.OnTypeChange := MyExportHandlerTypeChange;

procedure TMainForm.MyExportHandlerTypeChange;
begin
  ShowMessage('This never fires');
end;
Additional InformationChaning filename file extension when the selected filter/format is changed by the user is a rather important feature

i.e. I have a default filename "default.csv" and then "Comma separated values fil (*.csv)" is also the default selected filter/format

I would like to have the file extension changed whenever he user changes the selected filter/format.

(This is how the dialog behaves on Delphi/Windows/VCL - but from forum I can the OnTypeChange events works on Laazarus/Windows)

https://forum.lazarus.freepascal.org/index.php?topic=46577.msg332363#msg332363

TagsNo tags attached.
Fixed in Revision62158
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2019-11-02 22:27

developer   ~0118995

please test and close if ok

Issue History

Date Modified Username Field Change
2019-08-30 00:37 MIS5 New Issue
2019-08-31 13:19 Bart Broersma Category LCL => Widgetset
2019-08-31 13:19 Bart Broersma Steps to Reproduce Updated View Revisions
2019-08-31 13:19 Bart Broersma LazTarget => -
2019-08-31 13:19 Bart Broersma Widgetset Cocoa => Cocoa
2019-11-02 22:27 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2019-11-02 22:27 Dmitry Boyarintsev Status new => resolved
2019-11-02 22:27 Dmitry Boyarintsev Resolution open => fixed
2019-11-02 22:27 Dmitry Boyarintsev Fixed in Revision => 62158
2019-11-02 22:27 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-11-02 22:27 Dmitry Boyarintsev Note Added: 0118995